Announcement

Collapse
No announcement yet.

ATI Gallium3D + Wine Is Bettered A Bit

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ATI Gallium3D + Wine Is Bettered A Bit

    Phoronix: ATI Gallium3D + Wine Is Bettered A Bit

    If the impressive rate of Gallium3D improvements was not enough, there's more good news for those of you running ATI Radeon R300-R500 graphics cards (up through the Radeon X1000 series) with the open-source Gallium3D driver: the Wine graphics support just got a tiny bit better. Committed to the Mesa repository this afternoon is support for the GL_ARB_depth_clamp OpenGL extension within the Mesa state tracker and as of right now it's hooked-up for use by the R300g driver...

    http://www.phoronix.com/vr.php?view=ODQzMw

  • #2
    very nice :-) last day i dist-upgrade to kubuntu 10.10 and use the opensource driver mesa 7.8.2 all works fine for me :-)

    but yes only openGL2.0 wine really needs openGL2.1....

    Comment


    • #3
      marek also fixed an FBO related problem, which caused problems with Wine:
      http://lists.freedesktop.org/archive...ly/001423.html

      Right now, the biggest issue with running games in Wine with r300g is bug 29137. If it can be fixed, r300g seems to be at about the same level of support in Wine as i965.

      The progress of r300g is pretty astonishing!

      Comment


      • #4
        Originally posted by Qaridarium View Post
        very nice :-) last day i dist-upgrade to kubuntu 10.10 and use the opensource driver mesa 7.8.2 all works fine for me :-)

        but yes only openGL2.0 wine really needs openGL2.1....
        You should be having 2.1 if you're using the Gallium driver. Unless it has different levels of support depending on the GPU?

        Comment


        • #5
          Come on, we don't need an article for each single OGL extension implemented. There are how many? 5 hundreds? Do we need 5 hundred articles to report the progress?

          Comment


          • #6
            Originally posted by whizse View Post
            You should be having 2.1 if you're using the Gallium driver. Unless it has different levels of support depending on the GPU?
            i have an HD4670 GPU (r700), and its only 2.0 with the latest (7.9) drivers

            Comment


            • #7
              But you're not using the Gallium driver then, it only supports r300-r500.

              Comment


              • #8
                Originally posted by FunkyRider View Post
                Come on, we don't need an article for each single OGL extension implemented. There are how many? 5 hundreds? Do we need 5 hundred articles to report the progress?
                Why not? Personally speaking, I think these are some of the most interesting Phoronix articles. It's good to learn about progress on OpenGL support.

                Comment


                • #9
                  Originally posted by AnorexiasGrizzli View Post
                  i have an HD4670 GPU (r700), and its only 2.0 with the latest (7.9) drivers
                  On the Gallium Driver you get 2.1

                  Comment


                  • #10
                    Originally posted by whizse View Post
                    Right now, the biggest issue with running games in Wine with r300g is bug 29137.
                    And this is an WINE bug not an Driver bug.

                    Comment

                    Working...
                    X